searchData={"items":[{"type":"module","doc":"`ExUnitExt` provides some extensions for `ExUnit`.\n\nThe project is currently in the alpha stage. But more is planned.\n\n`ExUnitExt` provides a wrapper for the mix task `mix test` more info can be\nfound at `Mix.Tasks.ExUnitExt.Test`.","title":"ExUnitExt","ref":"ExUnitExt.html"},{"type":"module","doc":"The `ExUnit.Dbg` module provides a `:dbg_callback` for `Kernel.dbg/2`.","title":"ExUnitExt.Dbg","ref":"ExUnitExt.Dbg.html"},{"type":"function","doc":"","title":"ExUnitExt.Dbg.dbg/4","ref":"ExUnitExt.Dbg.html#dbg/4"},{"type":"behaviour","doc":"The default theme for `ExUnitExt`.","title":"ExUnitExt.Theme","ref":"ExUnitExt.Theme.html"},{"type":"function","doc":"","title":"ExUnitExt.Theme.color_doc/3","ref":"ExUnitExt.Theme.html#color_doc/3"},{"type":"function","doc":"Returns a map with default colors merged with the custom colors in `opts`.","title":"ExUnitExt.Theme.colors/1","ref":"ExUnitExt.Theme.html#colors/1"},{"type":"callback","doc":"Returns the colors map used to format the output.","title":"ExUnitExt.Theme.colors/1","ref":"ExUnitExt.Theme.html#c:colors/1"},{"type":"callback","doc":"Returns a boolean indicating if the theme is enabled.\n\nThe default implementation returns `IO.ANSI.enabled?()`. If a theme not\nenabled the default theme is used.","title":"ExUnitExt.Theme.enabled?/0","ref":"ExUnitExt.Theme.html#c:enabled?/0"},{"type":"function","doc":"","title":"ExUnitExt.Theme.format/2","ref":"ExUnitExt.Theme.html#format/2"},{"type":"function","doc":"","title":"ExUnitExt.Theme.format_us/1","ref":"ExUnitExt.Theme.html#format_us/1"},{"type":"function","doc":"Returns a theme module for the given `name` or the default theme.\n\nIf the name can not be found the default theme is returned and a warning is\nprinted.","title":"ExUnitExt.Theme.get/1","ref":"ExUnitExt.Theme.html#get/1"},{"type":"function","doc":"","title":"ExUnitExt.Theme.indent/2","ref":"ExUnitExt.Theme.html#indent/2"},{"type":"function","doc":"","title":"ExUnitExt.Theme.normalize_us/1","ref":"ExUnitExt.Theme.html#normalize_us/1"},{"type":"function","doc":"","title":"ExUnitExt.Theme.pluralize/2","ref":"ExUnitExt.Theme.html#pluralize/2"},{"type":"function","doc":"","title":"ExUnitExt.Theme.pluralize/3","ref":"ExUnitExt.Theme.html#pluralize/3"},{"type":"function","doc":"The default print function for `ExUnitExt.Theme`.","title":"ExUnitExt.Theme.print/2","ref":"ExUnitExt.Theme.html#print/2"},{"type":"callback","doc":"Called by the formatter to print events.","title":"ExUnitExt.Theme.print/2","ref":"ExUnitExt.Theme.html#c:print/2"},{"type":"function","doc":"","title":"ExUnitExt.Theme.print_filters/2","ref":"ExUnitExt.Theme.html#print_filters/2"},{"type":"function","doc":"Returns a printer function for the given theme in `opts`.\n\nIf no theme can be found the default theme is used.","title":"ExUnitExt.Theme.printer/1","ref":"ExUnitExt.Theme.html#printer/1"},{"type":"function","doc":"","title":"ExUnitExt.Theme.puts/2","ref":"ExUnitExt.Theme.html#puts/2"},{"type":"callback","doc":"Returns the signs map used to show the results.","title":"ExUnitExt.Theme.signs/1","ref":"ExUnitExt.Theme.html#c:signs/1"},{"type":"function","doc":"Returns a map with default signs merged with the custom signs in `opts`.","title":"ExUnitExt.Theme.signs/2","ref":"ExUnitExt.Theme.html#signs/2"},{"type":"function","doc":"","title":"ExUnitExt.Theme.write/2","ref":"ExUnitExt.Theme.html#write/2"},{"type":"module","doc":"The `block` theme.\n\nThis theme replaces the `.`, `!`, `*` and `?` by colored blocks.","title":"ExUnitExt.Theme.Block","ref":"ExUnitExt.Theme.Block.html"},{"type":"module","doc":"The `ext` theme.","title":"ExUnitExt.Theme.Ext","ref":"ExUnitExt.Theme.Ext.html"},{"type":"module","doc":"The `hearts` theme.\n\nThis theme brings even more hearts into the warmest community.","title":"ExUnitExt.Theme.Hearts","ref":"ExUnitExt.Theme.Hearts.html"},{"type":"task","doc":"A wrapper for `mix test`.\n\nTo use `ex_unit_ext.test`, it is recommended to add the alias\n`test:  ex_unit_ext.test` to `mix.exs` and run tests with `mix test` as usual.\n\n```\n# mix.exs\ndefmodule My.MixProject do\n  use Mix.Project\n\n  def project do\n    [\n      ...\n      aliases: [test: \"ex_unit_ext.test\"]\n    ]\n  ...\nend\n```\n\nThe wrapper supports all options of the `mix test` task.\n\nWhen you run your test suite, it prints results as they run with a summary at\nthe end. The test suite will print a 'sign' for each test. Successful tests\nare represented by a green `.`, failed tests by a red `?`, skipped tests by a\nyellow `*` and invalid tests by a magenta `?`.\n\n```shell\n$ mix test --no-color\nRunning ExUnit with seed: 450686, max_cases: 16\n\n??*.!...\n\n  1) test greets the community (MyAppTest)\n     test/my_app_test.exs:22\n     Assertion with == failed\n     code:  assert MyApp.hello() == :community\n     left:  :world\n     right: :community\n     stacktrace:\n       test/my_app_test.exs:23: (test)\n\n  2) MyApp.FooTest: failure on setup_all callback, all tests have been invalidated\n     ** (RuntimeError) setup_all fails\n     stacktrace:\n       test/my_app_test.exs:31: MyApp.FooTest.__ex_unit_setup_all_0/1\n       test/my_app_test.exs:27: MyApp.FooTest.__ex_unit__/2\n\nFinished in 0.02 seconds (0.00s async, 0.02s sync)\n1 doctest, 7 tests, 1 failure, 2 invalid, 1 skipped\n```","title":"mix ex_unit_ext.test","ref":"Mix.Tasks.ExUnitExt.Test.html"},{"type":"task","doc":"All `mix test` [commans line options](https://hexdocs.pm/mix/Mix.Tasks.Test.html#module-command-line-options)\nare supported.\n\nThe following options are provided by `ExUnitExt`:\n\n  * `--theme` - specify the theme for the output.\n    Available themes are: `\"ext\"`, `\"block\"` and `\"hearts\"`.","title":"Command line options - mix ex_unit_ext.test","ref":"Mix.Tasks.ExUnitExt.Test.html#module-command-line-options"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}